Lumension® Endpoint Intelligence Center

Intelligence Center » Browse All Vulnerabilities » CVE-2008-1025

Overview

Vulnerability Score 4.3 4.3
CVE Id CVE-2008-1025
Last Modified 07 Mar 2011 10:05:49
Published 17 Apr 2008 03:05:00
Confidentiality Impact NONE NONE
Integrity Impact PARTIAL PARTIAL
Availability Impact NONE NONE
Access Vector NETWORK
Access Complexity MEDIUM
Authentication NONE

CVE-2008-1025

Summary

Cross-site scripting (XSS) vulnerability in Apple WebKit, as used in Safari before 3.1.1, allows remote attackers to inject arbitrary web script or HTML via a crafted URL with a colon in the hostname portion.

Vulnerable Systems

Application

  • Apple Safari 0.8

  • Apple Safari 0.9

  • Apple Safari 1.0

  • Apple Safari 1.0.3

  • Apple Safari 1.1

  • Apple Safari 1.2

  • Apple Safari 1.3

  • Apple Safari 1.3.1

  • Apple Safari 1.3.2

  • Apple Safari 2.0

  • Apple Safari 2.0.2

  • Apple Safari 2.0.4

  • Apple Safari 3.0

  • Apple Safari 3.0.2

  • Apple Safari 3.0.3

  • Apple Safari 3.0.4

  • Apple Safari 3.1

  • Apple Webkit


References

CERT-VN - VU#705529

VUPEN - ADV-2008-2094

VUPEN - ADV-2008-1250

CONFIRM - http://support.apple.com/kb/HT1467

SECUNIA - 31074

APPLE - APPLE-SA-2008-07-11

XF - apple-safari-webkit-hostname-xss(41862)

SECTRACK - 1019869

BID - 28814

SECUNIA - 29846

APPLE - APPLE-SA-2008-04-16

Related Patches

Apple 2008-04-16 Safari Update 3.1.1 (Tiger PPC)

Apple 2008-04-16 Safari Update 3.1.1 (Tiger Intel)

Apple 2008-04-16 Safari Update 3.1.1 (Leopard)


Last Updated: 27 May 2016 10:47:00